Summary:     An API that allows an application to construct and inject network packets
Name:        libnet
Version:     1.1.1
Release:     2.pp
License:     BSD
Group:       Development/Libraries
Source0:     http://www.packetfactory.net/%{name}/dist/%{name}-%{version}.tar.gz
Patch0:      %{name}-dynamic.patch
URL:         http://www.packetfactory.net/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Peter Pramberger
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: libpcap glibc-devel glibc-kernheaders /usr/bin/find
ExclusiveOS: linux

%description
Libnet is a high-level API (toolkit) that allows the
application programmer to construct and inject network
packets. It provides a portable and simplified interface
for low-level network packet shaping, handling, and in-
jection. Libnet hides much of the tedium of packet
creation from the application programmer such as multi-
plexing, buffer management, arcane packet header
information, byte-ordering, OS-dependent issues, and
much more. Libnet features portable packet creation
interfaces at the IP layer and link layer, as well as
a host of supplementary and complementary functionality.


%package devel
Group:       Development/Libraries
Summary:     The development files for %{name}
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
The %{name}-devel package contains the development libraries and
header files for use with %{name}.


%prep
%setup -q -n %{name}
%patch0 -p1
find $RPM_BUILD_DIR/%{name} -type d -name CVS -depth -exec rm -rf {} \;


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr           \
	--sysconfdir=/etc       \
	--localstatedir=/var    \
	--mandir=/usr/share/man
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man3
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/examples
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
install -m 755 src/%{name}.so.%{version} $RPM_BUILD_ROOT/usr/lib
ldconfig -n $RPM_BUILD_ROOT/usr/lib
ln -s %{name}.so.%{version} $RPM_BUILD_ROOT/usr/lib/%{name}.so
install -m 644 doc/man/man3/* $RPM_BUILD_ROOT/usr/share/man/man3/
install -m 644 sample/*.[ch] $RPM_BUILD_ROOT/usr/share/%{name}/examples/
rm -rf doc/man


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README VERSION
%doc %dir doc
/usr/lib/*.so.*

%files devel
%defattr(-,root,root)
/usr/include/*
/usr/lib/*.*a
/usr/lib/*.so
%dir /usr/share/%{name}
/usr/share/%{name}/*
/usr/share/man/man3/*


%changelog
* Mon Jan 05 2004 peter.pramberger@1012surf.net
- created

